#ifndef _IMQI_HPP_
#define _IMQI_HPP_

//  Library:       MQSeries
//  Component:     IMQI (MQSeries C++ MQI)
//  Part:          IMQI.HPP
//
//  Description:   All MQSeries MQI class declarations
//
//  Statement:     Licensed Materials - Property of IBM
//
//                 84H2000, 5765-B73
//                 84H2001, 5639-B42
//                 84H2002, 5765-B74
//                 84H2003, 5765-B75
//                 84H2004, 5639-B43
//                 (C) Copyright IBM Corp. 1994, 1998
//
//                 U.S. Government Users Restricted Rights -
//                 use, duplication or disclosure restricted by
//                 GSA ADP Schedule Contract with IBM Corp.

#include <imqbin.hpp> // ImqBinary
#include <imqcac.hpp> // ImqCache
#include <imqcih.hpp> // ImqCICSBridgeHeader
#include <imqdlh.hpp> // ImqDeadLetterHeader
#include <imqdst.hpp> // ImqDistributionList
#include <imqerr.hpp> // ImqError
#include <imqgmo.hpp> // ImqGetMessageOptions
#include <imqhdr.hpp> // ImqHeader
#include <imqiih.hpp> // ImqIMSBridgeHeader
#include <imqitm.hpp> // ImqItem
#include <imqmsg.hpp> // ImqMessage
#include <imqmtr.hpp> // ImqMessageTracker
#include <imqnml.hpp> // ImqNamelist
#include <imqobj.hpp> // ImqObject
#include <imqpro.hpp> // ImqProcess
#include <imqpmo.hpp> // ImqPutMessageOptions
#include <imqque.hpp> // ImqQueue
#include <imqmgr.hpp> // ImqQueueManager
#include <imqrfh.hpp> // ImqReferenceHeader
#include <imqstr.hpp> // ImqString
#include <imqtrg.hpp> // ImqTrigger
#include <imqwih.hpp> // ImqWorkHeader

#endif
